Subject: bug#77570: Build failures on core packages following daemon changes

From: keinflue <[email-masked]>
Date: Mon, 07 Apr 2025 12:02:32 +0000

Hi everyone,

bug#77548 that I reported is a duplicate of this. After discussing the 
issue in IRC it took me a while to make a report and didn't notice this 
one was already submitted prior.

As I mentioned there, the shepherd package is also affected and at least 
in its case this is because one of the test cases (pid-file.sh) attempts 
to delete a non-existent file /does-not-exist.

The test script expects this to fail with ENOENT, but on current Linux 
kernel with glibc the unlink/unlinkat syscall will fail with EROFS 
instead on a read-only file system. (This was at some point between 
kernel version 3.2 and 3.6 fixed on the Linux side, but seems to have 
regressed after that.)

 From what I can tell the other packages have the same or similar issues 
with syscalls reporting EROFS in preference of ENOENT/EACCESS/EPERM.